CREATE DATABASE IF NOT EXISTS sevenkeys;

USE sevenkeys;

CREATE TABLE IF NOT EXISTS CacheTimestamp (
	CacheType ENUM('AllCardsBulkData') PRIMARY KEY,
	Stamp DATETIME NOT NULL
);

CREATE TABLE IF NOT EXISTS ExpansionSet (
	SetCode VARCHAR(6) PRIMARY KEY,
	Name VARCHAR(60) NOT NULL,
	CardCount INT NOT NULL,
	IconSvgUri VARCHAR(60) NOT NULL
);

CREATE TABLE IF NOT EXISTS CardPrinting (
	Id VARCHAR(36) PRIMARY KEY, -- GUID
	Name VARCHAR(150) NOT NULL,
	SetCode VARCHAR(6) NOT NULL,
	FOREIGN KEY (SetCode) REFERENCES ExpansionSet(SetCode),
	IsFoil BOOLEAN NOT NULL,
	IsReserved BOOLEAN NOT NULL,
	IsRacist BOOLEAN NOT NULL,
	IsPromo BOOLEAN NOT NULL,
	CollectorNumber VARCHAR(10) NOT NULL,
	Language VARCHAR(3) NOT NULL
);
